| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Functions
init.h File Reference

## Classes

class | wxInitializer
| Create an object of this class on the stack to initialize/cleanup the library automatically. More...

## Functions

bool | wxEntryStart (int &argc, wxChar **argv)
| This function can be used to perform the initialization of wxWidgets if you can't use the default initialization code for any reason.
bool | wxEntryStart (HINSTANCE hInstance, HINSTANCE hPrevInstance=NULL, char *pCmdLine=NULL, int nCmdShow=SW_SHOWNORMAL)
| See wxEntryStart(int&,wxChar**) for more info about this function.
void | wxEntryCleanup ()
| Free resources allocated by a successful call to wxEntryStart().
bool | wxInitialize (int argc=0, wxChar **argv=NULL)
| Initialize the library (may be called as many times as needed, but each call to wxInitialize() must be matched by wxUninitialize()).
void | wxUninitialize ()
| This function is for use in console (wxBase) programs only.